---
layout: page
title: "Decora Wi-Fi"
description: "Instructions on how to setup Leviton Decora Smart Wi-Fi switches/dimmers within Home Assistant."
date: 2017-07-19 12:00
sidebar: true
comments: false
sharing: true
footer: true
ha_category: Light
ha_iot_class: "Local Polling"
logo: leviton.png
ha_release: 0.51
---

Support for [Leviton Decora Wi-Fi](http://www.leviton.com/en/products/lighting-controls/decora-smart-with-wifi) dimmers/switches.

Supported devices (tested):

- [DW6HD1-BZ](https://www.leviton.com/en/products/dw6hd) (Decora Smart Wi-Fi 600W Dimmer)

To enable these lights, add the following lines to your `configuration.yaml` file:

```yaml
# Example configuration.yaml entry
light:
  - platform: decora_wifi
    username: my_leviton_user_email@email.com
    password: my_leviton_password
```

Configuration variables:

- **username** (*Required*): Your "My Leviton" app email address/user name.
- **password** (*Required*): Your "My Leviton" app password.


